Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

workflowId
string
required

The ID of the workflow

Query Parameters

domain
string

The G Suite domain

securityCode
string

The security code

Body

application/json
annotationEditors
object[]

Users, groups, roles or Everybody allowed to edit annotations while the document is in this workflow state. Used when the document class aclSource is STATE. A user in editors but not in viewers may only view and edit annotations they authored.

annotationRestrictedViewers
object[]

(Deprecated, no longer enforced) Users, groups, roles or Everybody previously denied annotation access while the document is in this workflow state. Use annotationViewers and annotationEditors instead.

annotationViewers
object[]

Users, groups, roles or Everybody allowed to view annotations while the document is in this workflow state. Used when the document class aclSource is STATE.

applyActionToDocuments
enum<string>

(Deprecated) The action to apply when entering the workflow state

Available options:
DO_NOTHING,
NEW_VERSION,
CHECK_IN,
DISCARD,
CHECK_OUT
attachmentPermissions
object[]

The list of permissions granted on the attachments of the documents in the workflow state. Each entry must be granted to a user, group or role that also appears in permissions, with an equal or stronger level; an ATTACHMENT_EDITOR permission backs WRITER on the attachments. Only READER and WRITER are supported. When never set, defaults to the permissions: READER for a READER or COMMENTER, WRITER for an ATTACHMENT_EDITOR or WRITER.

checkOutSettings
object
classReadOnlyDocumentsNotCheckedOut
enum<string>

The mode that defined whether documents are read-only if not checked-out at the document class level

Available options:
DISABLED,
OPTIONAL,
MANDATORY
createdTime
string<date-time>

The time at which the workflow state was created

customActions
object[]

The list of custom actions to apply on the workflow state

description
string

The description of the workflow state

displayFlags
enum<string>[]

The flags to control display of the workflow state in the application (HIDDEN_FROM_? where ? = WORKFLOW_TASKS, BROWSEBY or VIEW_FILTERS)

Available options:
HIDDEN_FROM_WORKFLOW_TASKS,
HIDDEN_FROM_BROWSEBY,
HIDDEN_FROM_VIEW_FILTERS
draftDocuments
boolean

Whether the workflow state is a draft state

hiddenFields
object[]

The list of fields to be hidden in the workflow state (id is read/write, name is readonly)

id
string

The ID of the workflow state

kind
string
lastModifiedTime
string<date-time>

The time at which the workflow state was last modified

mandatoryFields
object[]

The list of fields to be mandatory in the workflow state (id is read/write, name is readonly)

name
string

The name of the workflow state

name_i18n
string

The internationalized name of the workflow state

notifications
object
permissions
object[]

The list of permissions when inheriting them from the workflow state

readOnlyDocumentsNotCheckedOut
boolean

The mode to control whether the documents are read-only if not checked-out

readOnlyFields
object[]

The list of fields to be read-only in the workflow state (id is read/write, name is readonly)

resetDocumentPermissions
boolean

Whether to reset explicit permissions when entering the workflow state

transitions
object[]

The list of workflow transitions from this workflow state

Response

200 - application/json

A ApiWorkflowState response

annotationEditors
object[]

Users, groups, roles or Everybody allowed to edit annotations while the document is in this workflow state. Used when the document class aclSource is STATE. A user in editors but not in viewers may only view and edit annotations they authored.

annotationRestrictedViewers
object[]

(Deprecated, no longer enforced) Users, groups, roles or Everybody previously denied annotation access while the document is in this workflow state. Use annotationViewers and annotationEditors instead.

annotationViewers
object[]

Users, groups, roles or Everybody allowed to view annotations while the document is in this workflow state. Used when the document class aclSource is STATE.

applyActionToDocuments
enum<string>

(Deprecated) The action to apply when entering the workflow state

Available options:
DO_NOTHING,
NEW_VERSION,
CHECK_IN,
DISCARD,
CHECK_OUT
attachmentPermissions
object[]

The list of permissions granted on the attachments of the documents in the workflow state. Each entry must be granted to a user, group or role that also appears in permissions, with an equal or stronger level; an ATTACHMENT_EDITOR permission backs WRITER on the attachments. Only READER and WRITER are supported. When never set, defaults to the permissions: READER for a READER or COMMENTER, WRITER for an ATTACHMENT_EDITOR or WRITER.

checkOutSettings
object
classReadOnlyDocumentsNotCheckedOut
enum<string>

The mode that defined whether documents are read-only if not checked-out at the document class level

Available options:
DISABLED,
OPTIONAL,
MANDATORY
createdTime
string<date-time>

The time at which the workflow state was created

customActions
object[]

The list of custom actions to apply on the workflow state

description
string

The description of the workflow state

displayFlags
enum<string>[]

The flags to control display of the workflow state in the application (HIDDEN_FROM_? where ? = WORKFLOW_TASKS, BROWSEBY or VIEW_FILTERS)

Available options:
HIDDEN_FROM_WORKFLOW_TASKS,
HIDDEN_FROM_BROWSEBY,
HIDDEN_FROM_VIEW_FILTERS
draftDocuments
boolean

Whether the workflow state is a draft state

hiddenFields
object[]

The list of fields to be hidden in the workflow state (id is read/write, name is readonly)

id
string

The ID of the workflow state

kind
string
lastModifiedTime
string<date-time>

The time at which the workflow state was last modified

mandatoryFields
object[]

The list of fields to be mandatory in the workflow state (id is read/write, name is readonly)

name
string

The name of the workflow state

name_i18n
string

The internationalized name of the workflow state

notifications
object
permissions
object[]

The list of permissions when inheriting them from the workflow state

readOnlyDocumentsNotCheckedOut
boolean

The mode to control whether the documents are read-only if not checked-out

readOnlyFields
object[]

The list of fields to be read-only in the workflow state (id is read/write, name is readonly)

resetDocumentPermissions
boolean

Whether to reset explicit permissions when entering the workflow state

transitions
object[]

The list of workflow transitions from this workflow state